---
title: RTCIceCandidateStats.url
slug: Web/API/RTCIceCandidateStats/url
tags:
  - API
  - Candidate
  - Connection
  - Connectivity
  - ICE
  - Network
  - Networking
  - Property
  - RTCIceCandidateStats
  - Reference
  - Statistics
  - Stats
  - URL
  - WebRTC
  - WebRTC API
  - rtc
---
<p>{{APIRef("WebRTC")}}<br>
 <span class="seoSummary">The {{domxref("RTCIceCandidateStats")}} dictionary's <strong><code>url</code></strong> property specifies the URL of the {{Glossary("ICE")}} server from which the described candidate was obtained. This property is <em>only</em> available for local candidates.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>url</em> = <em>rtcIceCandidateStats</em>.url;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} specifying the URL of the ICE server from which the candidate described by the <code>RTCIceCandidateStats</code> was obtained. This is the same URL that would be received in the {{event("icecandidate")}} event's {{domxref("RTCPeerConnectionIceEvent.url", "url")}} property.</p>

<div class="notecard note">
<p><strong>Note:</strong> This property does not exist for remote candidates.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatestats-url', 'RTCIceCandidateStats.url') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidateStats.url")}}</p>
